<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title"
      id="modal-basic-title"
      [innerText]="commonMessages.STEP_DESK_LIST">
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">
    <div *ngFor="let desk of deskList">
      <span
        *ngIf="userPreferences?.showAdminIds"
        class="text-size-small font-monospace me-2"
        [innerText]="desk.id">
      </span>
      <span [innerText]="desk.name | namePipe"></span>
    </div>
  </div>

  <div class="modal-footer">
    <button
      ls-button
      [text]="commonMessages.CLOSE"
      (click)="activeModal.close(commonMessages.CLOSE)">
    </button>
  </div>

</div>
